<p align="center">
  <img width="600" src="https://cdn.discordapp.com/attachments/1017565672622006303/1089946864717144094/image.png">
  <br><br>
  <a href="https://discord.gg/basic"><img alt="BetterMint discord!" src="https://img.shields.io/badge/Discord-BetterMint-0?style=flat&logo=discord"></a>
  <a href="https://github.com/BotSolver/BetterMint/releases"><img alt="Download BetterMint" src="https://img.shields.io/github/downloads/BotSolver/BetterMint/total?color=%2331c754&label=Download&logo=googlechrome&logoColor=%23ffffff"></a>
</p>

<h1 align="center">👑 BetterMint: Your Chess.com Companion! ♟️</h1>

<p align="center">Welcome to BetterMint, the magical chess.com extension that takes your game to the next level! But remember, true chess mastery comes from practice and learning, not shortcuts.</p>

<h2 align="center">🚀 Installing the Extension</h2>

<p align="center">Let's unlock the magic:</p>

<p align="center">
  - <strong>Download the extension and extract it</strong>: <a href="https://github.com/BotSolver/BetterMint/releases/download/bettermint/BetterMint.zip">Latest Version</a>
</p>

<p align="center">
  - <strong>Access the mystical extensions realm by entering <code>chrome://extensions</code> in a new tab or visiting the <code>Manage extensions</code> page</strong>. No cheating shortcuts here scum!
</p>

<p align="center">
  - <strong>Embrace your inner wizard and enable <code>Developer mode</code> in the top right corner</strong>. True chess mastery comes from dedication, not magic tricks!
</p>

<p align="center">
  - A <strong>secret button named <code>Load unpacked</code> will appear in the top left corner</strong>; give it a tap.
</p>

<p align="center">
  - <strong>Select the enchanted folder you extracted earlier</strong> (look for the mystical <code>manifest.json</code> file). No hidden spells here, just a simple process!
</p>

<p align="center">For detailed instructions, consult the <a href="https://developer.chrome.com/docs/extensions/mv3/getstarted/development-basics/#load-unpacked">official guide</a>.</p>

<h2 align="center">🧙‍♂️ Important</h2>

<p align="center">Before we embark on this magical journey, a reminder: I'm not claiming to be the original wizard behind this extension. The first developer was thedemons (<a href="https://github.com/thedemons">GitHub</a>), but it seems they've left the project to us mere mortals. While I work on updates, let's remember and honor the original wizard!</p>

<h1 align="center">🔮 Features</h1>

<p align="center">Behold the magical powers of BetterMint:</p>

<h3 align="center">🌟 In-Game Wizardry</h3>

<p align="center">
  <ul>
    <li>
      <strong>Depth</strong>: Dive into the chess cosmos! Control the maximum depth the engine searches during analysis. Deeper analysis means a more thorough understanding of the game, but be patient; it demands time.
    </li>
    <li>
      <strong>Skill Level</strong>: Adjust the engine's playing strength. Higher values make it a grandmaster; lower values, a novice. But remember, true mastery comes from learning, not shortcuts.
    </li>
    <li>
      <strong>Lines</strong>: Explore multiple paths to victory. Determine the number of principal variations the engine shares, revealing its top moves and evaluations.
    </li>
    <li>
      <strong>Threads</strong>: Unleash the power of parallel dimensions! Specify the number of CPU threads for faster analysis. Quality over quantity!
    </li>
  </ul>
</p>

<h3 align="center">🧪 Experimental Spells</h3>

<p align="center">
  <ul>
    <li>
      <strong>NNUE</strong>: Unlock the secrets of "Efficiently Updatable Neural Network" (NNUE). It provides precise position assessments.
    </li>
    <li>
      <strong>Auto Move Time</strong>: Master the art of time manipulation. Delay auto moves strategically.
    </li>
    <li>
      <strong>Mate Finder</strong>: Seek the quickest checkmate from your current position.
    </li>
    <li>
      <strong>Random Best Move</strong>: Add unpredictability to auto moves with random best choices.
    </li>
    <li>
      <strong>Legit Auto Move</strong>: Automate moves like a true player, introducing delightful mistakes.
    </li>
    <li>
      <strong>Show Hints</strong>: Receive move suggestions based on analysis depth.
    </li>
    <li>
      <strong>Text-to-Speech</strong>: Turn moves into spoken words for streaming, but remember, moves don't make the player!
    </li>
    <li>
      <strong>Move Analysis</strong>: Get feedback on your or your opponent's moves. Learning from mistakes is true magic!
    </li>
  </ul>
</p>

<h3 align="center">📊 Progress Tracking</h3>

<p align="center">
  <ul>
    <li>
      <strong>Depth Bar</strong>: Witness the magic unfold! The Depth Bar shows the engine's analysis progress.
    </li>
    <li>
      <strong>Evaluation Bar</strong>: Discover your position's secrets! The Evaluation Bar indicates if you're on the path to victory.
    </li>
  </ul>
</p>

<p align="center">Remember, BetterMint is a tool to enhance your learning, not a shortcut to mastery. Embrace the magic of chess through practice and dedication!</p>